### Struct

# Qmi MessageGmsTestSetValueInput

since: 1.26

#### Description [src]

    struct QmiMessageGmsTestSetValueInput {
      /* No available fields */
    }

The `QmiMessageGmsTestSetValueInput` structure contains private data and should only be accessed using the provided API.

Available since: 1.26

#### Constructors

###### qmi_message_gms_test_set_value_input_new

Allocates a new `QmiMessageGmsTestSetValueInput`.

since: 1.26

#### Instance methods

###### qmi_message_gms_test_set_value_input_get_test_mandatory_value

Get the ‘Test Mandatory Value’ field from `self`.

since: 1.26

###### qmi_message_gms_test_set_value_input_get_test_optional_value

Get the ‘Test Optional Value’ field from `self`.

since: 1.26

###### qmi_message_gms_test_set_value_input_ref

Atomically increments the reference count of `self` by one.

since: 1.26

###### qmi_message_gms_test_set_value_input_set_test_mandatory_value

Set the ‘Test Mandatory Value’ field in the message.

since: 1.26

###### qmi_message_gms_test_set_value_input_set_test_optional_value

Set the ‘Test Optional Value’ field in the message.

since: 1.26

###### qmi_message_gms_test_set_value_input_unref

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

since: 1.26